Valorant API Unofficial docs
API Reference Local Endpoints
GET

Presence

Get a list of online friends and their activity If the player is playing Valorant, private is a base64-encoded JSON string that contains useful information such as party and in-progress game score.

Server Local client Auth Basic · lockfile
GET https://127.0.0.1:{port}/chat/v4/presences

Headers

Authorization string required
Value Basic {base64 encoded "riot:{lockfile password}"}— Base64 of riot:{lockfile password}, from the Riot Client lockfile

URL parameters

port number required

From the Riot Client lockfile.

How to get it

The port can be found from the lockfile (located at %LocalAppData%\Riot Games\Riot Client\Config\lockfile ) when the game is running. The file has the format name:pid:port:password:protocol

Other variables

lockfile password From the Riot Client lockfile.
Details

The password can be found from the lockfile (located at %LocalAppData%\Riot Games\Riot Client\Config\lockfile ) when the game is running. The file has the format name:pid:port:password:protocol

Riot Client lockfile

Response

presences array[object]
Show nested attributes Hide nested attributes 20
actor any nullable
basic string
details any nullable
game_name string
game_tag string
location any nullable
msg any nullable
name string
patchline any nullable
pid string
platform any nullable
private string nullable
privateJwt any nullable
product enum
"valorant""league_of_legends"
puuid string · uuid

Player UUID

region string
resource string
state enum
"mobile""dnd""away""chat"
summary string
time number

Milliseconds since epoch